Bug 866358 - Review Request: ams - ALSA Modular synth
Review Request: ams - ALSA Modular synth
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraAudio
  Show dependency treegraph
 
Reported: 2012-10-15 03:38 EDT by Brendan Jones
Modified: 2012-11-18 23:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 23:29:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
sanjay.ankur: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Brendan Jones 2012-10-15 03:38:52 EDT
ams is a virtual modular synthesizer for JACK/ALSA.

This package was previuously hosted in the Planet CCRMA repository and is a requirement for the Fedora Audio spin.

SPEC: http://bsjones.fedorapeople.org/ams.spec
SPEC: http://bsjones.fedorapeople.org/ams-2.0.1-5.fc18.src.rpm

Upstream has been notified of FSF address changes

rpmlint /home/bsjones/rpmbuild/SRPMS/ams-2.0.1-5.fc18.src.rpm /home/bsjones/rpmbuild/RPMS/x86_64/ams-2.0.1-5.fc18.x86_64.rpm /home/bsjones/rpmbuild/RPMS/x86_64/ams-debuginfo-2.0.1-5.fc18.x86_64.rpm
ams.src: W: spelling-error Summary(en_US) Alsa -> Alas, Ala, Alisa
ams.src: W: spelling-error Summary(en_US) realtime -> mealtime, real time, real-time
ams.src: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
ams.src: W: spelling-error %description -l en_US usr -> use, us, user
ams.x86_64: W: spelling-error Summary(en_US) Alsa -> Alas, Ala, Alisa
ams.x86_64: W: spelling-error Summary(en_US) realtime -> mealtime, real time, real-time
ams.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real time, real-time
ams.x86_64: E: incorrect-fsf-address /usr/share/doc/ams-2.0.1/COPYING
3 packages and 0 specfiles checked; 1 errors, 7 warnings.
Comment 1 Ankur Sinha (FranciscoD) 2012-10-23 22:29:11 EDT
I'll review this one.
Comment 2 Ankur Sinha (FranciscoD) 2012-10-23 23:07:50 EDT
Hi!

REVIEW:

[+] OK
[-] NA
[?] Issue

[+] Package meets naming and packaging guidelines
[+] Spec file matches base package name.
[+] Spec has consistant macro usage.
[+] Meets Packaging Guidelines.
[+] License
[+] License field in spec matches
[+] License file included in package
[+] Spec in American English
[+] Spec is legible.
[+] Sources match upstream md5sum:
[ankur@ankur SPECS]$ review-md5check.sh ams.spec
Getting
http://downloads.sourceforge.net/project/alsamodular/alsamodular/2.0.1/ams-2.0.1.tar.bz2
to /tmp/review/ams-2.0.1.tar.bz2
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0
100  279k  100  279k    0     0   195k      0  0:00:01  0:00:01 --:--:--  195k
0d41bd5aac066aa98be45fd7ab12d35f  /tmp/review/ams-2.0.1.tar.bz2
0d41bd5aac066aa98be45fd7ab12d35f
/home/ankur/rpmbuild/SOURCES/ams-2.0.1.tar.bz2
removed `/tmp/review/ams-2.0.1.tar.bz2'
removed directory: `/tmp/review'
[ankur@ankur SPECS]$

[-] Package needs ExcludeArch
[+] BuildRequires correct
[-] Spec handles locales/find_lang
[-] Package is relocatable and has a reason to be.
[+] Package is code or permissible content.
[-] Doc subpackage needed/used.
[+] Packages %doc files don't affect runtime.

[-] Headers/static libs in -devel subpackage.
[-] Spec has needed ldconfig in post and postun
[-] .pc files in -devel subpackage/requires pkgconfig
[-] .so files in -devel subpackage.
[-] -devel package Requires: %{name} = %{version}-%{release}
[-] .la files are removed.

[+] Package is a GUI app and has a .desktop file

[+] Package compiles and builds on at least one arch.
[+] Package has no duplicate files in %files.
[+] Package doesn't own any directories other packages own.
[+] Package owns all the directories it creates.
[+] No rpmlint output.
[ankur@ankur SRPMS]$ rpmlint ../SPECS/ams.spec ./ams-2.0.1-5.fc18.src.rpm
/var/lib/mock/fedora-rawhide-x86_64/result/*.rpm
ams.src: W: spelling-error Summary(en_US) Alsa -> Alas, Ala, Alisa
ams.src: W: spelling-error Summary(en_US) realtime -> mealtime, real time,
real-time
ams.src: W: spelling-error %description -l en_US realtime -> mealtime, real
time, real-time
ams.src: W: spelling-error %description -l en_US usr -> use, us, user
ams.src: W: spelling-error Summary(en_US) Alsa -> Alas, Ala, Alisa
ams.src: W: spelling-error Summary(en_US) realtime -> mealtime, real time,
real-time
ams.src: W: spelling-error %description -l en_US realtime -> mealtime, real
time, real-time
ams.src: W: spelling-error %description -l en_US usr -> use, us, user
ams.x86_64: W: spelling-error Summary(en_US) Alsa -> Alas, Ala, Alisa
ams.x86_64: W: spelling-error Summary(en_US) realtime -> mealtime, real time,
real-time
ams.x86_64: W: spelling-error %description -l en_US realtime -> mealtime, real
time, real-time
ams.x86_64: E: incorrect-fsf-address /usr/share/doc/ams-2.0.1/COPYING
4 packages and 1 specfiles checked; 1 errors, 11 warnings.
[ankur@ankur SRPMS]$


^^ Looks okay

[+] final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm [-]qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)
[ankur@ankur result]$ review-req-check
== ams-2.0.1-5.fc19.src.rpm ==
Provides:

Requires:
desktop-file-utils
alsa-lib-devel
clalsadrv-devel
jack-audio-connection-kit-devel
ladspa-devel
fftw2-devel
qt-devel
libtool
automake
autoconf

== ams-2.0.1-5.fc19.x86_64.rpm ==
Provides:
ams = 2.0.1-5.fc19
ams(x86-64) = 2.0.1-5.fc19

Requires:
ladspa-cmt-plugins
ladspa-mcp-plugins
ladspa-rev-plugins
ladspa-swh-plugins
ladspa-vco-plugins
libQtCore.so.4()(64bit)
libQtGui.so.4()(64bit)
libQtOpenGL.so.4()(64bit)
libasound.so.2()(64bit)
libasound.so.2(ALSA_0.9)(64bit)
libc.so.6()(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libclalsadrv.so.2()(64bit)
libdl.so.2()(64bit)
libdl.so.2(GLIBC_2.2.5)(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libjack.so.0()(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.15)(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libstdc++.so.6()(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libstdc++.so.6(GLIBCXX_3.4.11)(64bit)
libstdc++.so.6(GLIBCXX_3.4.9)(64bit)
rtld(GNU_HASH)

== ams-debuginfo-2.0.1-5.fc19.x86_64.rpm ==
Provides:
ams-debuginfo = 2.0.1-5.fc19
ams-debuginfo(x86-64) = 2.0.1-5.fc19


Requires:
^^
Looks okay


SHOULD Items:

[+] Should build in mock.
[+] Should build on all supported archs
[-] Should function as described.
[+] Should have sane scriptlets.
[-] Should have subpackages require base package with fully versioned depend.
[+] Should have dist tag
[+] Should package latest version
[-] check for outstanding bugs on package. (For core merge reviews)

Issues:

None. Package looks good to go!

XXX APPROVED XXX
Comment 3 Brendan Jones 2012-10-24 00:53:39 EDT
Thanks for the review!

New Package SCM Request
=======================
Package Name: ams
Short Description: A virtual modular synthesizer for JACK and ALSA
Owners: bsjones
Branches:f16 f17 f18
InitialCC:
Comment 4 Jon Ciesla 2012-10-24 07:01:33 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-10-24 09:36:16 EDT
ams-2.0.1-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ams-2.0.1-5.fc18
Comment 6 Fedora Update System 2012-10-24 09:36:26 EDT
ams-2.0.1-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ams-2.0.1-5.fc17
Comment 7 Fedora Update System 2012-10-24 09:36:39 EDT
ams-2.0.1-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ams-2.0.1-5.fc16
Comment 8 Fedora Update System 2012-10-24 19:51:00 EDT
ams-2.0.1-5.fc17 has been pushed to the Fedora 17 testing repository.

Note You need to log in before you can comment on or make changes to this bug.